Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006697opensim[REGION] Scripting Enginepublic2013-07-03 10:482013-12-26 15:46
ReporterRichardus Raymaker 
Assigned Tojustincc 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006697: "On_rez()" instead of "on_rez(integer start_param)" dont generate syntax error in opensim.
Descriptionin opensim you can do without problems

on_rez()
{
}

In Secondlife that same line generate syntax error.
The correct syntax for secondlife.

on_rez(integer start_param)
{
}

would be good to demand the integer part in opensim to,
to keep in the same line as touch_start etc. that demands it to.
TagsNo tags attached.
Git Revision or version numberf78d2ef-r/22948
Run Mode Grid (1 Region per Sim)
Physics EngineBasicPhysics
Environment.NET / Windows64
Mono VersionNone
ViewerSIngularity 1.8.0 (4114)
Attached Files

- Relationships

-  Notes
(0024917)
Richardus Raymaker (reporter)
2013-12-26 15:45

Have done the test in 540fa84-r/24153

on_rez()
{
}

is now generating syntax error.
(0024918)
Richardus Raymaker (reporter)
2013-12-26 15:46

solved, tested 540fa84-r/24153

- Issue History
Date Modified Username Field Change
2013-07-03 10:48 Richardus Raymaker New Issue
2013-12-05 18:08 justincc Assigned To => justincc
2013-12-05 18:08 justincc Status new => assigned
2013-12-26 15:45 Richardus Raymaker Note Added: 0024917
2013-12-26 15:45 Richardus Raymaker Status assigned => resolved
2013-12-26 15:45 Richardus Raymaker Resolution open => fixed
2013-12-26 15:46 Richardus Raymaker Note Added: 0024918
2013-12-26 15:46 Richardus Raymaker Status resolved => closed
2013-12-26 15:46 Richardus Raymaker Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker